# This file is lincensed under the terms of GPLv2+.
Name:           perl-Fedora-Rebuild
Version:        0.10.0
Release:        1%{?dist}
Summary:        Rebuilds Fedora packages from scratch
License:        GPLv3+
Group:          Development/Libraries
URL:            http://ppisar.fedorapeople.org/Fedora-Rebuild/
Source0:        http://ppisar.fedorapeople.org/Fedora-Rebuild/Fedora-Rebuild-v%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DateTime)
BuildRequires:  perl(File::Copy)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
# File::Temp not used at tests
# HTTP::Daemon not used at tests
# HTTP::Status not used at tests
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(Moose)
BuildRequires:  perl(Moose::Util::TypeConstraints)
BuildRequires:  perl(MooseX::Types)
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Proc::SyncExec)
BuildRequires:  perl(RPM2)
BuildRequires:  perl(RPM::VersionCompare)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
BuildRequires:  perl(strict)
BuildRequires:  perl(Term::ProgressBar)
BuildRequires:  perl(Thread::Semaphore)
BuildRequires:  perl(threads)
BuildRequires:  perl(threads::shared)
BuildRequires:  perl(URI)
BuildRequires:  perl(version) >= 0.77
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(Data::Compare)
BuildRequires:  perl(Test::Simple)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       fedpkg
Requires:       git
Requires:       koji
Requires:       mock
Requires:       rpmdevtools

%description
Main goal is to rebuild perl modules packages for Fedora. The rebuild is
driven from bottom to top, i.e. from perl interpreter to modules depending
on intermediate modules. This way, it's possible to upgrade perl
interpreter to incompatible version and to rebuild all modules against the
new interpreter.

%prep
%setup -q -n Fedora-Rebuild-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes COPYING
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Nov 07 2013 Petr Pisar <ppisar@redhat.com> - 0.10.0-1
- 0.10.0 bump

* Sun Aug 04 2013 Petr Pisar <ppisar@redhat.com> - 0.9.1-6
- Perl 5.18 rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.9.1-2
- Perl 5.16 rebuild

* Wed Jun 06 2012 Petr Pisar <ppisar@redhat.com> - 0.9.1-1
- 0.9.1 bump

* Tue May 29 2012 Petr Pisar <ppisar@redhat.com> - 0.9.0-1
- 0.9.0 bump

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jul 26 2011 Petr Pisar <ppisar@redhat.com> - 0.8.0-4
- Do not create back-up files when patching. They would be packaged.

* Fri Jul 22 2011 Petr Sabata <contyk@redhat.com> - 0.8.0-3
- Use IO::Handle to build with perl5.14

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.8.0-2
- Perl mass rebuild

* Wed Jul 20 2011 Petr Pisar <ppisar@redhat.com> - 0.8.0-1
- 0.8.0 bump

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.7.0-2
- Perl mass rebuild

* Mon Jul 18 2011 Petr Pisar <ppisar@redhat.com> - 0.7.0-1
- 0.7.0 bump

* Fri Jul 15 2011 Petr Pisar <ppisar@redhat.com> - 0.5.1-1
- 0.5.1 version

* Fri Jul 15 2011 Petr Pisar <ppisar@redhat.com> - 0.5.0-1
- 0.5.0 bump

* Fri Jun 24 2011 Petr Pisar <ppisar@redhat.com> - 0.4.1-1
- 0.4.1 bump

* Wed Jun 22 2011 Petr Pisar <ppisar@redhat.com> - 0.3.0-1
- 0.3.0 bump

* Fri Jun 17 2011 Petr Pisar <ppisar@redhat.com> - 0.2.1-1
- 0.2.1 bump

* Tue Jun 07 2011 Petr Pisar <ppisar@redhat.com> 0.0.1-1
- Specfile autogenerated by cpanspec 1.78.
- Remove BuildRoot and defattr code
